Skip to main content
GET
List or export Bug Scan findings

Authorizations

x-coderabbitai-api-key
string
header
required

API key for authentication. You can create an API key from the CodeRabbit dashboard.

Query Parameters

org_id
string

Git-provider organization ID for workspace API keys. Omit for the complete workspace scope.

repo_id
string
required

One exact Git-provider repository ID in the authenticated organization scope.

scan_id
string<uuid>

A completed scan of the repository. Defaults to the latest completed scan.

severity
enum<string>
Available options:
critical,
major,
minor,
trivial
limit
integer
default:100

JSON page size.

Required range: 1 <= x <= 1000
cursor
string

next_cursor from the previous JSON page. A cursor stays on the scan it was issued for.

format
enum<string>
default:json
Available options:
json,
csv,
sarif

Response

Paginated JSON or a full-scan download.

data
object[]
required
next_cursor
string | null
required
scan
object | null
required